# StickerMator
StickerMator is a SwiftUI based iOS app to add stickers to photos, it can use different sticker packs and users can make their own sticker packs.
<div align="center">
<img src="https://dsc.cloud/8532ed/skm-1.jpeg" height="500px" alt="skm-1" >
<img src="https://dsc.cloud/8532ed/skm-2.jpeg" height="500px" alt="skm-2" >
</div>

## Features
- **Sticker Maker**: A simple sticker editing tool that allows users to select images from photo albums for processing. CoreML-based image segmentation enables automatic background removal for sticker creation. In addition, a variety of filters are provided for users to freely choose to adjust.
<div align="center">
<img src="https://dsc.cloud/8532ed/skm-3.PNG" height="240px" alt="skm-3" >
<img src="https://dsc.cloud/8532ed/skm-4.PNG" height="240px" alt="skm-4" >
</div>
<div align="center">
<img src="https://dsc.cloud/8532ed/skm-5.PNG" height="400px" alt="skm-5" >
</div>

- **Sticker Packs**: Users can customize their own sticker packs, manage them at will, add and delete.
<div align="center">
<img src="https://dsc.cloud/8532ed/skm-6.PNG" height="240px" alt="skm-6" >
<img src="https://dsc.cloud/8532ed/skm-7.PNG" height="240px" alt="skm-7" >
</div>

- **Multi-Touch support**: Stickers and images in StickerMator can be resized with smooth multi-touch gestures.
- **skm file format**: With Apple's document API, StickerMator created the **skm** file format, which is a simple format for storing user data and sticker packs. Files can also be saved to iCloud.

## Requirements
- **iOS 15.0** or later
- **Swift 5**
- **Xcode 13**


## See also
- [CS193p - Developing Apps for iOS](https://cs193p.sites.stanford.edu/)
- [hollance/CoreMLHelpers](https://github.com/hollance/CoreMLHelpers)